Bug 454410 - Review Request: mingw32-gcc - MinGW Windows cross-compiler (GCC) for C and C++
Review Request: mingw32-gcc - MinGW Windows cross-compiler (GCC) for C and C++
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Levente Farkas
Fedora Extras Quality Assurance
:
Depends On: mingw32-binutils
Blocks: mingw32-runtime mingw32-w32api 454416 mingw32-bzip2 mingw32-portablexdr mingw32-iconv mingw32-termcap mingw32-pixman mingw32-nsis mingw32-pdcurses mingw32-pthreads mingw32-gdbm mingw32-openssl mingw32-freetype mingw32-libpng mingw32-gettext mingw32-readline mingw32-libjpeg mingw32-glib2 mingw32-libgpg-error mingw32-libxml2 mingw32-sqlite mingw32-jasper mingw32-atk mingw32-libgcrypt mingw32-fontconfig mingw32-gnutls mingw32-cairo mingw32-libvirt mingw32-pango mingw32-gtk2 mingw32-gtk-vnc mingw32-SDL mingw32-dlfcn mingw32-postgresql mingw32-libltdl mingw32-wpcap mingw32-qt mingw32-liboil mingw32-gstreamer mingw32-opensc mingw32-libsigc++20 mingw32-glibmm24 mingw32-libtiff mingw32-libp11 mingw32-proj mingw32-libgeotiff mingw32-freeglut 613697 mingw-dbus-glib mingw-popt mingw-libIDL mingw-orbit2 mingw-GConf2 mingw-libgsf mingw-gnome-vfs2 mingw-libbonobo 1016258
  Show dependency treegraph
 
Reported: 2008-07-08 07:30 EDT by Richard W.M. Jones
Modified: 2016-08-14 12:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 16:34:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lfarkas: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
spec file patch (1.01 KB, patch)
2008-11-21 17:48 EST, Levente Farkas
no flags Details | Diff

  None (edit)
Description Richard W.M. Jones 2008-07-08 07:30:56 EDT
Spec URL: http://www.annexia.org/tmp/mingw/mingw-gcc.spec
SRPM URL: http://www.annexia.org/tmp/mingw/mingw-gcc-4.3.1-3.fc10.src.rpm
Description: MinGW Windows cross-compiler (GCC) for C and C++

Incomplete packaging guidelines:
https://fedoraproject.org/wiki/PackagingDrafts/MinGW

**NOTE** There is a circular dependency involved.  In order
to compile this package from nothing, you MUST first install
the mingw-bootstrap package from here:
http://www.annexia.org/tmp/mingw/
This binary package is only needed for bootstrapping and
is itself obsoleted further down the toolchain by proper
source packages.

This is standard GCC 4.3.1 built as a cross-compiler which
targets a i686-pc-mingw32 (ie. Windows) host.

C++ is currently disabled because it causes a really
strange build error when building libstdc++.
Comment 1 Richard W.M. Jones 2008-10-16 12:34:47 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=918e9f907e958fdbc2016dcc5e36bf4099800bd7;path=/gcc/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-gcc-4.3.2-7.fc9.src.rpm

Note that this package has a circular dependency.  It needs
mingw32-runtime and mingw32-w32api, and those can't be built
without gcc.

This is explained here:
http://fedoraproject.org/wiki/MinGW/Bootstrapping

There are a couple of extra things we ought to do with this
package.  Firstly the build patch needs to go upstream.
Secondly we need to look at the Fedora gcc + patches and
decide what if anything from that needs to go into this
package.  Note that Fedora native gcc is not based on
released gcc versions, but on some sort of RH-specific
branch maintained by jakub in the gcc SVN.
Comment 2 Richard W.M. Jones 2008-10-24 16:37:05 EDT
I looked at Jakub's branch and decided to stay with GCC 4.3.2
for now.  We may move later, but this version of GCC has been
used to build everything and it works.
Comment 3 Levente Farkas 2008-10-30 10:19:32 EDT
please modify this:
----------------------------------
BuildRequires:  mpfr-devel
----------------------------------
to
----------------------------------
%if 0%{?fedora} >= 9
BuildRequires:  mpfr-devel
%endif
----------------------------------
in order to be able to build on rhel-5 ie. EPEL-5 too.
on rhel-5 gmp contains mpfr (so gmp-devel contains mpfr-devel) that's the reason of the above request.
thanks.

anyway i'm in process to rebuild most of the mingw32 packages on rhel-5 and will let you know if i'll other problems with other packages.
Comment 4 Richard W.M. Jones 2008-10-30 10:29:26 EDT
(In reply to comment #3)
> please modify this:
> ----------------------------------
> BuildRequires:  mpfr-devel
> ----------------------------------
> to
> ----------------------------------
> %if 0%{?fedora} >= 9
> BuildRequires:  mpfr-devel
> %endif
> ----------------------------------
> in order to be able to build on rhel-5 ie. EPEL-5 too.
> on rhel-5 gmp contains mpfr (so gmp-devel contains mpfr-devel) that's the
> reason of the above request.

OK, done that.  I'll follow up with the spec file and new SRPM
once they've rebuilt.

> anyway i'm in process to rebuild most of the mingw32 packages on rhel-5 and
> will let you know if i'll other problems with other packages.

Thanks.  I'm going to add these to EPEL-5 as they get approved,
so it'll be nice to see if you have any build problems.
Comment 5 Richard W.M. Jones 2008-10-30 10:48:26 EDT
Spec URL:
http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=8ffb9d18ededf10101ae623d42ea00e9ef167045;path=/gcc/
SRPM URL:
http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-gcc-4.3.2-8.fc9.src.rpm

* Thu Oct 30 2008 Richard W.M. Jones <rjones@redhat.com> - 4.3.2-8
- Don't BR mpfr-devel for RHEL/EPEL-5 (Levente Farkas).
Comment 6 Levente Farkas 2008-10-30 11:48:02 EDT
FYI: epel-5 rpms (those which needed for me:-) can be found in my repo (when it's upload finish):
http://www.lfarkas.org/linux/packages/centos/5/
the old mingw rpms are also there but the new ones are "mingw32-xxx"
Comment 7 Levente Farkas 2008-11-21 17:48:42 EST
Created attachment 324355 [details]
spec file patch
Comment 8 Levente Farkas 2008-11-21 17:50:21 EST
with the attached patch the package is good.

 This package (mingw32-gcc) is APPROVED by lfarkas
Comment 9 Richard W.M. Jones 2008-11-24 05:12:41 EST
New Package CVS Request
=======================
Package Name: mingw32-gcc
Short Description: MinGW Windows cross-compiler (GCC) for C and C++
Owners: rjones berrange
Branches: F-10 EL-5
InitialCC:
Comment 10 Dennis Gilmore 2008-11-25 11:34:36 EST
CVS Done
Comment 11 Richard W.M. Jones 2008-12-09 16:34:22 EST
Now built in all branches.  Thanks to Dennis Gilmore and
Jesse Keating in particular for helping to get this bootstrapped.

Note You need to log in before you can comment on or make changes to this bug.